## whois 4.4.14

=== Makefile ===
prefix=/usr/local

OPTS=-O2

# Solaris
#LDFLAGS=-lnsl -lsocket

# linux (old libc)
#LDFLAGS=-lintl

all: whois #pos

whois: whois.c whois.h config.h data.h as_del.h ip_del.h tld_serv.h
	$(CC) $(OPTS) whois.c -o whois $(LDFLAGS)

mkpasswd:
	$(CC) $(OPTS) mkpasswd.c -o mkpasswd -lcrypt

as_del.h: as_del_list make_as_del.pl
	perl make_as_del.pl < as_del_list > as_del.h

ip_del.h: ip_del_list make_ip_del.pl
	perl make_ip_del.pl < ip_del_list > ip_del.h

tld_serv.h: tld_serv_list make_tld_serv.pl
	perl make_tld_serv.pl < tld_serv_list > tld_serv.h

install: whois
	install -m 0755 whois $(BASEDIR)$(prefix)/bin/
	strip $(BASEDIR)$(prefix)/bin/whois
	install -m 0644 whois.1 $(BASEDIR)$(prefix)/man/man1/
	cd po && $(MAKE) $@


distclean: clean
	rm -f po/whois.pot

clean:
	rm -f as_del.h ip_del.h tld_serv.h whois mkpasswd
	rm -f po/*.mo

test:
	open -- sh -c "while nc -l -p 43 127.0.0.1; do echo END; done"

pos:
	cd po && $(MAKE)

=== po/Makefile ===
INSTALL= /usr/bin/install -c
INSTALLNLSDIR=$(BASEDIR)/usr/share/locale

PACKAGE = whois

CATALOGS = it.mo no.mo

POTFILES=../whois.c

all: $(PACKAGE).pot $(CATALOGS)

$(PACKAGE).pot: $(POTFILES)
	xgettext --default-domain=$(PACKAGE) \
       	  --add-comments --keyword=_ --keyword=N_ $(POTFILES)
	if cmp -s $(PACKAGE).po $(PACKAGE).pot; then \
	  rm -f $(PACKAGE).po; \
	else \
	  mv $(PACKAGE).po $(PACKAGE).pot; \
	fi

update-po: $(PACKAGE).pot
	for cat in $(CATALOGS); do \
	  lang=`echo $$cat | sed 's/.mo$$//'`; \
	  mv $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if msgmerge $$lang.old.po $(PACKAGE).pot -o $$lang.po; then \
	    rm -f $$lang.old.po; \
	  else \
    	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; mv $$lang.old.po $$lang.po; \
	  fi; \
	done

%.mo: %.po
	msgfmt --statistics --check --verbose --output-file=$@ $<

clean:
	rm -f *.mo

distclean: clean
	rm -f whois.pot

install: $(CATALOGS)
	for n in $(CATALOGS); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    $(INSTALL) -m 644 $$n $(INSTALLNLSDIR)/$$l/LC_MESSAGES/$(PACKAGE).mo; \
	done

=== debian/changelog ===
whois (4.4.14) frozen unstable; urgency=medium

  * !=> HIDE_DISCL has been disabled (VERY IMPORTANT!).
  * !=> Fixed -h option for gTLDs (Closes: 65001).
  * !=> Priority changed from important to standard (Closes: #64460).
  * !=> Added server for net.au (Closes: #64574).
  * Fixed longstanding bug in RIPE-style referrals handling.
  * Added telstra netblocks, NIC handles and whois server.
  * Added fed.us domain.
  * Added nic.mil AS block.
  * Added production IPv6 TLA.

 -- Marco d'Itri <md@linux.it>  Sun,  4 Jun 2000 20:00:20 +0200

whois (4.4.13) frozen unstable; urgency=high

  * Fixed .dk and .nl servers (IMPORTANT!).
  * Added many, many domains in tld_serv_list.
  * A message is displayed if only a WWW gateway is available.

 -- Marco d'Itri <md@linux.it>  Fri, 21 Apr 2000 17:59:19 +0200

whois (4.4.12) frozen unstable; urgency=medium

  * Fixed queries for *.jp domains (Closes: #60861).
  * Will hide disclaimers of many registries.
  * Added support for level3.net registry.

 -- Marco d'Itri <md@linux.it>  Sat, 25 Mar 2000 11:51:01 +0100

whois (4.4.11) frozen unstable; urgency=low

  * Enlarged a buffer. This bug silently corrupted queries for some CORE
    objects (Closes: #60612).

 -- Marco d'Itri <md@linux.it>  Fri, 17 Mar 2000 23:33:38 +0100

whois (4.4.10) frozen unstable; urgency=low

  * RIPE-like flags are allowed for CORENIC too.

 -- Marco d'Itri <md@linux.it>  Fri, 17 Mar 2000 23:30:46 +0100

whois (4.4.9) frozen unstable; urgency=low

  * Fixed segfault when requesting a RIPE template (Closes: #59030).

 -- Marco d'Itri <md@linux.it>  Sat, 26 Feb 2000 14:53:32 +0100

whois (4.4.8) frozen unstable; urgency=low

  * Fixed two off-by-one in mallocs and a buffer overflow.
  * Fixed ugly bug in parsing of multi argument command lines.
  * Fixed domcmp() to deal with -au-dom, .uk.net and so on.
  * Added support for corenic and GANDI handles.
  * Now automatically request machine parseable output from corenic.
  * rr.arin.net added to the list of RIPE-like servers.

 -- Marco d'Itri <md@linux.it>  Wed, 23 Feb 2000 19:50:50 +0100

whois (4.4.7) frozen unstable; urgency=low

  * Updated .no ccTLD entry.
  * Added RIPE as default server for limerick objects.
  * Fixed $LANG parsing.
  * Fixed false positive for netblock handles matching /^as/ and
    another bug regarding parsing of AS queries.
    (Dark, please allow this upload to go in frozen because users will
     be bitten by these bug and will not understand what's happening.)

 -- Marco d'Itri <md@linux.it>  Sun, 16 Jan 2000 14:45:00 +0100

whois (4.4.6) unstable; urgency=low

  * Fixed bug in parsing the argument of -h.
  * Added new ccTLDs: cl, kg, lu.
  * Added AS-* netblocks. I assume only RIPE uses this format.
  * Some additions to ripe_servers[].

 -- Marco d'Itri <md@linux.it>  Thu, 13 Jan 2000 01:16:51 +0100

whois (4.4.5) unstable; urgency=low

  * The InterNIC server is always asked to return complete records when a
    query matches more than one object.
  * s/CRSNIC/InterNIC/. Oh, how much I hate NSI!
  * Added support for *jp NIC handles and *-MNT RIPE handles.
  * Norwegian translation.

 -- Marco d'Itri <md@linux.it>  Sat, 18 Dec 1999 21:00:36 +0100

whois (4.4.4) unstable; urgency=low

  * The default server is read from $WHOIS_SERVER.

 -- Marco d'Itri <md@linux.it>  Sun,  5 Dec 1999 11:36:52 +0100

whois (4.4.3) unstable; urgency=low

  * s/whois.internic.net/whois.networksolutions.com/
  * Added Oleane to ripe_servers[].

 -- Marco d'Itri <md@linux.it>  Thu,  2 Dec 1999 21:50:59 +0100

whois (4.4.2) unstable; urgency=low

  * Fixed the test for the use of RIPE-style options with non RIPE-like
    servers.
  * Cleanup of man page source.
  * Fixed mkpasswd(1) header (closes: #51401).

 -- Marco d'Itri <md@linux.it>  Sun, 28 Nov 1999 12:51:25 +0100

whois (4.4.1) unstable; urgency=low

  * Converted some strcmp to strcasecmp.
  * A space is added after "AS" when querying ARIN.
  * The "domain" command keyword is added by default when querying ERNET.

 -- Marco d'Itri <md@linux.it>  Tue, 16 Nov 1999 11:57:55 +0100

whois (4.4.0) unstable; urgency=low

  * Now the program automatically select the right server for AS queries.
  * Added RIPE delegations of netblocks in the B class space.
  * Extensive survey of all known whois servers and update of tld_serv_list.
  * Now the flag -VMd4.4 is sent to RIPE-like servers.
  * Written a test program for checking if all servers work.

 -- Marco d'Itri <md@linux.it>  Tue,  9 Nov 1999 22:53:35 +0100

whois (4.3.3) unstable; urgency=low

  * Fixed man page (closes: #49195).

 -- Marco d'Itri <md@linux.it>  Sun,  7 Nov 1999 14:07:59 +0100

whois (4.3.2) unstable; urgency=low

  * Fixed version reporting code. Now the string is "-VMd2.0".

 -- Marco d'Itri <md@linux.it>  Tue,  2 Nov 1999 19:50:33 +0100

whois (4.3.1) unstable; urgency=low

  * CRSNIC code parsed the wrong field (closes: #48590).

 -- Marco d'Itri <md@linux.it>  Thu, 28 Oct 1999 22:21:55 +0200

whois (4.3) unstable; urgency=low

  * Corrected CRSNIC server hostname (closes: #48197).
  * Updated delegation lists.

 -- Marco d'Itri <md@linux.it>  Tue, 26 Oct 1999 11:43:38 +0200

whois (4.2) unstable; urgency=low

  * Added support for the CRSNIC registry of GTLDs.

 -- Marco d'Itri <md@linux.it>  Wed, 20 Oct 1999 20:19:06 +0200

whois (4.1) unstable; urgency=low

  * Fixed $LANG parsing (closes: #47233).

 -- Marco d'Itri <md@linux.it>  Thu, 14 Oct 1999 22:23:13 +0200

whois (4.0) unstable; urgency=low

  * Initial Release of the new code: I rewrote the program from scratch.
  * cryptpw become mkpasswd and now has a man page (closes: #46855).

 -- Marco d'Itri <md@linux.it>  Sun,  3 Oct 1999 19:43:35 +0200

=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.1.0.0

Package: whois
Architecture: any
Depends: ${shlibs:Depends}
Replaces: bsdmainutils (<= 4.5.1), bsdutils (<< 3.0-0)
Description: whois client
 This is a new whois (RFC 954) client rewritten from scratch by me.
 It is derived from and compatible with the usual BSD and RIPE whois(1)
 programs.
 It is intelligent and can automatically select the appropriate whois
 server for most queries.
 .
 The package also contains mkpasswd, a simple front end to crypt(3).

## whois 4.5.4

=== debian/changelog ===
whois (4.5.4) unstable; urgency=low

  * Updated .at, .be, .cy, .cz, .ee, .gr, .il, .pl, .ro, .vi and .nz ccTLDs.
  * Added -cz, -nicat, -norid and -rotld nic handles.
  * Added telstra IP allocations.
  * Fixed fencepost error (Closes: #83661).
  * Added .gov.uk server (Closes: #89501).

 -- Marco d'Itri <md@linux.it>  Wed,  7 Mar 2001 00:45:33 +0100

whois (4.5.3) unstable; urgency=low

  * Updated .hr and level3 servers.
  * Added .la and .by servers and updated some other data.
  * Many RPSL fixes.
  * Added BRAZIL-BLK[12] networks.
  * Rechecked all missing ccTLDs.

 -- Marco d'Itri <md@linux.it>  Tue,  6 Feb 2001 18:29:37 +0100

whois (4.5.2) unstable; urgency=low

  * Added TWNIC netblocks.
  * Fixed server name for .ca, .gr, .edu.cn and .ie (Closes: #77127, #78322).
  * Added *-CN and *-DK NIC handles.
  * Added servers for .cf and .gt.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Dec 2000 02:16:11 +0100

whois (4.5.1) unstable; urgency=low

  * Portability fixes.
  * Added KRNIC and JPNIC netblocks.
  * Added new RIPE assignment.
  * Fixed use of uninitialised memory (Closes: #76045, #76060).

 -- Marco d'Itri <md@linux.it>  Sun,  5 Nov 2000 13:11:37 +0100

whois (4.5.0) unstable; urgency=low

  * Added CentralNic (formerly NomiNation.net) servers.
  * Added 151.99.0.0/16 prefix.
  * Changed de and is TLD servers.
  * Email addresses are not mistaken for domains anymore.
  * Added $WHOIS_HIDE variable.
  * Added getopt_long support and rearranged .h files.
  * Removed obsolete #ifndef FIRST_ASK_INTERNIC.
  * Added support for new RPSL query switches: -l, -x, -q.

 -- Marco d'Itri <md@linux.it>  Mon, 24 Jul 2000 23:47:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Replaces: bsdmainutils (<= 4.5.1), bsdutils (<< 3.0-0)
-Description: whois client
+Description: The GNU whois client
  This is a new whois (RFC 954) client rewritten from scratch by me.
  It is derived from and compatible with the usual BSD and RIPE whois(1)
  programs.

=== debian/rules ===
#!/usr/bin/make -f
# Original version Copyright by Ian Jackson.

SHELL+= -e

#export DH_VERBOSE=1

build:
	$(checkdir)
	make whois mkpasswd OPTS="-O2 -g"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make distclean
	-cd debian && rm -rf tmp files* substvars *debhelper

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp

	dh_installdirs usr/bin
	install whois mkpasswd debian/tmp/usr/bin/
	cd po && make install BASEDIR=../debian/tmp
	dh_installmanpages
	dh_installdocs README TODO
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-arch

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## whois 4.5.21

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,15 @@
 # linux (old libc)
 #LDFLAGS=-lintl
 
+# OS/2 EMX
+#LDFLAGS=-lsocket -Zexe -Dstrncasecmp=strnicmp
+
 all: whois #pos
 
 whois: whois.c whois.h config.h data.h as_del.h ip_del.h tld_serv.h
 	$(CC) $(OPTS) whois.c -o whois $(LDFLAGS)
 
-mkpasswd:
+mkpasswd: mkpasswd.c
 	$(CC) $(OPTS) mkpasswd.c -o mkpasswd -lcrypt
 
 as_del.h: as_del_list make_as_del.pl
@@ -42,6 +45,9 @@
 test:
 	open -- sh -c "while nc -l -p 43 127.0.0.1; do echo END; done"
 
+gnu:
+	tar czvvf gnu-whois.tgz Makefile* README TODO *list *.h whois.*
+
 pos:
 	cd po && $(MAKE)

=== debian/changelog ===
whois (4.5.21) unstable; urgency=medium

  * Fixed stupid bug. (Closes: #132067).
  * Added .re and .pm TLD servers.

 -- Marco d'Itri <md@linux.it>  Sun,  3 Feb 2002 17:28:02 +0100

whois (4.5.20) unstable; urgency=medium

  * Updated .dk TLD server (Closes: #130795).
  * Added .ci, .mu and .sr TLD servers
  * Fixed parsing of some IPv6 addresses.

 -- Marco d'Itri <md@linux.it>  Sat,  2 Feb 2002 00:56:56 +0100

whois (4.5.19) unstable; urgency=medium

  * Added .aero, .coop, .name and .pro TLD servers.
  * Added more APNIC and JPNIC netblocks.

 -- Marco d'Itri <md@linux.it>  Tue, 15 Jan 2002 21:55:45 +0100

whois (4.5.18) unstable; urgency=medium

  * Added more KRNIC netblocks.

 -- Marco d'Itri <md@linux.it>  Tue,  8 Jan 2002 19:29:12 +0100

whois (4.5.17) unstable; urgency=medium

  * Updated .dk and .edu TLD servers.

 -- Marco d'Itri <md@linux.it>  Wed,  2 Jan 2002 05:27:23 +0100

whois (4.5.16) unstable; urgency=low

  * Added 220.0.0.0/8.

 -- Marco d'Itri <md@linux.it>  Fri,  7 Dec 2001 03:43:18 +0100

whois (4.5.15) unstable; urgency=medium

  * Added .museum TLD server.

 -- Marco d'Itri <md@linux.it>  Sun, 18 Nov 2001 15:12:52 +0100

whois (4.5.14) unstable; urgency=medium

  * Added 219.0.0.0/8.
  * Updated spanish translation.
  * Updated .hk TLD server.

 -- Marco d'Itri <md@linux.it>  Fri,  17 Oct 2001 20:57:26 +0200

whois (4.5.13) unstable; urgency=medium

  * Fixed "Password: " prompt printing when using mkpasswd --stdin.
  * Updated .hm TLD server (Closes: #115719).

 -- Marco d'Itri <md@linux.it>  Fri,  5 Oct 2001 00:57:26 +0200

whois (4.5.12) unstable; urgency=medium

  * Updated .af, .biz and .info TLD servers.
  * Fixed NLS support in mkpasswd.
  * Fixed spurious warning message about RIPE flags.
  * Make server selection code ignore trailing dots (Closes: #65325).
  * Follow crsnic referrals only for domains (Closes: #78568).

 -- Marco d'Itri <md@linux.it>  Sun, 30 Sep 2001 16:06:37 +0200

whois (4.5.11) unstable; urgency=medium

  * Updated .vc TLD server.
  * Fixed ugly stupid segfault (Closes: #113409).

 -- Marco d'Itri <md@linux.it>  Tue, 25 Sep 2001 01:55:06 +0200

whois (4.5.10) unstable; urgency=medium

  * The configuration file is optional (Closes: #113340).
  * Updated .fi TLD server.

 -- Marco d'Itri <md@linux.it>  Mon, 24 Sep 2001 17:58:18 +0200

whois (4.5.9) unstable; urgency=medium

  * Updated last known ASN (Closes: #112775).
  * Updated .am, .bi, .bm, .bo, .bs, .cg, .jo, .mn, .mo, .ni, .np, .pt,
    .rw, .pk, .pl, .ps, .sv, .ug, .vn, .net.za, .org.za TLD servers.

 -- Marco d'Itri <md@linux.it>  Wed, 19 Sep 2001 21:45:22 +0200

whois (4.5.8) unstable; urgency=medium

  * Use a bigger internal buffer to parse server output (Closes: #109919).
  * Added german translation (Closes: #103480).
  * Added support for domains like eu.org and uk.com.
  * Fixed non-ASCII locales.
  * Added another DDN AS block, .info and .biz servers.
  * Updated .au netblocks data, .ng, .ua and .za TLD servers.
  * When mkpasswd output is redirected to a file only the hashed password
    is printed.
  * Made some cosmetic changes for solaris.

 -- Marco d'Itri <md@linux.it>  Sun, 26 Aug 2001 16:46:23 +0200

whois (4.5.7) unstable; urgency=low

  * Added -nicat and -il NIC handles (Closes: #94465).
  * Greatly bloated mkpasswd now can read the password from the console
    (Closes: #94826).

 -- Marco d'Itri <md@linux.it>  Tue,  5 Jun 2001 14:01:56 +0200

whois (4.5.6) unstable; urgency=medium

  * Fixed typo in the server name for .si.
  * Added 80.0.0.0/7 allocation and -frnic NIC handles.
  * Added Build-Depends (Closes: #90205).

 -- Marco d'Itri <md@linux.it>  Wed,  4 Apr 2001 01:27:53 +0200

whois (4.5.5) unstable; urgency=low

  * Added -itnic NIC handles.
  * Updated AS list (Closes: #88920).

 -- Marco d'Itri <md@linux.it>  Sun,  1 Apr 2001 22:14:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.1.0.0
+Standards-Version: 3.5.6.0
+Build-Depends: debhelper, gettext
 
 Package: whois
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 build:
 	$(checkdir)
-	make whois mkpasswd OPTS="-O2 -g"
+	make whois mkpasswd OPTS="-O2 -g -DCONFIG_FILE=\\\"/etc/whois.conf\\\""
 	touch build
 
 clean:

## whois 4.5.25

=== debian/changelog ===
whois (4.5.25) unstable; urgency=medium

  * Updated data for -H option.
  * Updated .tk and .hr TLD servers (Closes: #140517).
  * Updated mkpasswd (added --password-fd).

 -- Marco d'Itri <md@linux.it>  Fri,  5 Apr 2002 15:20:23 +0200

whois (4.5.22) unstable; urgency=medium

  * Added .bz, .gg, .ir, .je, .my TLD servers.
  * Added -nicir and -denic NIC handles.
  * Updated .hk TLD server.
  * Updated ASN list.
  * netsol-managed gTLD server changed to whois.crsnic.net (Closes: #132221).
  * Updated hide_strings[] for netsol.
  * Fixed bug which truncates password read from stdin (Closes: #137377).

 -- Marco d'Itri <md@linux.it>  Fri,  8 Mar 2002 18:00:11 +0100

## whois 4.6.2

=== po/Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 
 PACKAGE = whois
 
-CATALOGS = it.mo no.mo
+CATALOGS = de.mo el.mo es.mo it.mo no.mo pl.mo
 
-POTFILES=../whois.c
+POTFILES=../whois.c ../mkpasswd.c
 
 all: $(PACKAGE).pot $(CATALOGS)

=== debian/changelog ===
whois (4.6.2) unstable; urgency=high

  * Added APNIC block 2001:e00::/23.
  * Added .pt TLD.
  * Updated .na and .org TLDs.

 -- Marco d'Itri <md@linux.it>  Thu, 23 Jan 2003 18:51:48 +0100

whois (4.6.1) unstable; urgency=medium

  * Oops... queries for 64.0.0.0/2 were broken (Closes: #171575).
  * Added new RIPE ASN block.
  * Disable the timeout after the TCP handshake has been completed.

 -- Marco d'Itri <md@linux.it>  Thu, 12 Dec 2002 02:17:25 +0100

whois (4.6.0) unstable; urgency=medium

  * Added .ai .bo, .bt, .dz, .gi, .pn, .tp and .uz TLDs.
  * Updated .ae, .ar, .at, .bi, .co, .cu, .do, .fm, .ge, .jo, .kr, .lu,
    .lv, .mt, .mu, .mw, .nr, .ph, .pk, .sa, .sb, .ua, .uy, .vi, .vu TLDs
    (courtesy of Frdric L. W. Meunier).
  * Rewritten the IPv6-matching code. Fixed a few bugs there too.
  * Generalized and deuglyfied some parts of the code.
  * Added support for RPSL objects like AS8627:fltr-TRANSIT-OUT.
  * Objects with no dot or hyphen and beginning with a ! are looked up
    in whois.networksolutions.com.
  * The new default server is whois.arin.net since it will only be used
    for network names.
  * Implemented a 60 seconds timeout on queries (Closes: #170255).
  * Changelog trimmed.

 -- Marco d'Itri <md@linux.it>  Thu, 28 Nov 2002 20:49:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.5.6.0
+Standards-Version: 3.5.7
 Build-Depends: debhelper, gettext
 
 Package: whois

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	install whois mkpasswd debian/tmp/usr/bin/
 	cd po && make install BASEDIR=../debian/tmp
 	dh_installmanpages
-	dh_installdocs README TODO
+	dh_installdocs README
 	dh_installchangelogs 
 	dh_strip
 	dh_compress

## whois 4.6.5

=== debian/changelog ===
whois (4.6.5) unstable; urgency=medium

  * Added may new ASN blocks from MILNET, LACNIC and JP-NIC.
  * Fixed a bug which broke ASN queries to whois.nic.mil.
  * Added .arpa TLD.
  * Update .aero, .int, .la TLD. (Closes: #187007)
  * Updated Polish translation, courtesy of Jakub Bogusz.
  * Removed CORE NIC handles until the query format will be documented.
  * Added support for nic.cc referrals (patch from Kevin Stone).

 -- Marco d'Itri <md@linux.it>  Mon,  5 May 2003 18:14:46 +0200

whois (4.6.3) unstable; urgency=low

  * Added support for .org referrals. (Closes: #182192, #179539)
  * Fix mkpasswd -H. (Closes: #181696)
  * Added new RIPE IPv6 block.
  * Added again old changelog entries to make Adrian Bunk stop complaining.
    (Closes: #179316).
  * Do not show anymore the output of CRSNIC and PIR servers unless the
    --verbose flag is used.

 -- Marco d'Itri <md@linux.it>  Sun, 16 Mar 2003 15:30:18 +0100

whois (4.5.34) unstable; urgency=medium

  * Added a new RIPE IPv4 allocation.

 -- Marco d'Itri <md@linux.it>  Sun, 24 Nov 2002 03:52:32 +0100

whois (4.5.33) unstable; urgency=medium

  * Added another RIPE IPv6 allocation.
  * Fixed .net.au SLD.

 -- Marco d'Itri <md@linux.it>  Wed, 20 Nov 2002 03:50:49 +0100

whois (4.5.32) unstable; urgency=medium

  * Fixed .in TLD code.
  * Updated .hk, ky, .nz TLDs.
  * Added LACNIC ASN block.
  * Added -uanic NIC handles.
  * RPSL flags are not stripped anymore even if the server is unrecognized.

 -- Marco d'Itri <md@linux.it>  Sat, 16 Nov 2002 04:25:08 +0100

whois (4.5.31) unstable; urgency=medium

  * Added undocumented -V command line option.

 -- Marco d'Itri <md@linux.it>  Fri, 11 Oct 2002 17:35:18 +0200

whois (4.5.30) unstable; urgency=medium

  * Added support for -c flag.
  * Updated .aero, .dk, .ee, .gr and .in TLD servers.
  * Updated spanish translation.
  * Updated whois query code for the new ARIN server (Closes: #160693).
  * Reviewed all hide_strings[] (Closes: #161462).
  * Added many Korean IP and ASN allocations.

 -- Marco d'Itri <md@linux.it>  Fri, 11 Oct 2002 14:24:25 +0200

whois (4.5.29) unstable; urgency=medium

  * Fixed mkpasswd -H (Closes: #149071).
  * Updated .dk and .pk TLD servers (Closes: #155897).
  * Updated LANIC and telstra IP allocations.

 -- Marco d'Itri <md@linux.it>  Sat, 22 Jun 2002 13:02:43 +0200

whois (4.5.28) unstable; urgency=medium

  * Updated .tt TLD server (Closes: #148771).

 -- Marco d'Itri <md@linux.it>  Sat,  1 Jun 2002 23:03:49 +0200

whois (4.5.27) unstable; urgency=medium

  * Added .ae TLD server.
  * Updated .ag TLD server.

 -- Marco d'Itri <md@linux.it>  Fri, 31 May 2002 13:36:21 +0200

whois (4.5.26) unstable; urgency=medium

  * Added .tv and .us TLD servers (Closes: #144257).

 -- Marco d'Itri <md@linux.it>  Fri, 26 Apr 2002 03:31:48 +0200

## whois 4.6.6

=== Makefile ===
prefix=/usr/local

OPTS=-O2

# Solaris
#LDFLAGS=-lnsl -lsocket

# obsolete linux (libc 5)
#LDFLAGS=-lintl

# FreeBSD
#LDFLAGS=-L/usr/local/lib -lgnugetopt -lintl
#CFLAGS=-I/usr/local/include

# OS/2 EMX
#LDFLAGS=-lsocket -Zexe -Dstrncasecmp=strnicmp

all: whois #pos

whois: whois.c whois.h config.h data.h as_del.h ip_del.h tld_serv.h
	$(CC) $(CFLAGS) $(OPTS) whois.c -o whois $(LDFLAGS)

mkpasswd: mkpasswd.c
	$(CC) $(CFLAGS) $(OPTS) mkpasswd.c -o mkpasswd -lcrypt

as_del.h: as_del_list make_as_del.pl
	perl make_as_del.pl < as_del_list > as_del.h

ip_del.h: ip_del_list make_ip_del.pl
	perl make_ip_del.pl < ip_del_list > ip_del.h

tld_serv.h: tld_serv_list make_tld_serv.pl
	perl make_tld_serv.pl < tld_serv_list > tld_serv.h

install: whois
	install -m 0755 whois $(BASEDIR)$(prefix)/bin/
	strip $(BASEDIR)$(prefix)/bin/whois
	install -m 0644 whois.1 $(BASEDIR)$(prefix)/share/man/man1/
	cd po && $(MAKE) $@


distclean: clean
	rm -f po/whois.pot

clean:
	rm -f as_del.h ip_del.h tld_serv.h whois mkpasswd
	rm -f po/*.mo

test:
	open -- sh -c "while nc -l -p 43 127.0.0.1; do echo END; done"

gnu:
	tar czvvf gnu-whois.tgz Makefile* README *list *.h whois.*

pos:
	cd po && $(MAKE)

=== po/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 PACKAGE = whois
 
-CATALOGS = de.mo el.mo es.mo it.mo no.mo pl.mo
+CATALOGS = de.mo el.mo es.mo fr.mo it.mo no.mo pl.mo
 
 POTFILES=../whois.c ../mkpasswd.c

=== debian/changelog ===
whois (4.6.6) unstable; urgency=medium

  * Updated polish translation, from Jakub Bogusz of PLD.
  * Added french translation, from William Steve Applegate. (Closes: #197212)
  * Added .dj TLD.
  * Fixed netsol disclaimer strings. (Closes: #195898)
  * Updated PIR server parser.

 -- Marco d'Itri <md@linux.it>  Sun, 15 Jun 2003 18:47:09 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Depends: ${shlibs:Depends}
 Replaces: bsdmainutils (<= 4.5.1), bsdutils (<< 3.0-0)
 Description: The GNU whois client
- This is a new whois (RFC 954) client rewritten from scratch by me.
- It is derived from and compatible with the usual BSD and RIPE whois(1)
+ This is a new whois (RFC 954) client rewritten from scratch.
+ It is inspired from and compatible with the usual BSD and RIPE whois(1)
  programs.
  It is intelligent and can automatically select the appropriate whois
  server for most queries.

## whois 4.6.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-prefix=/usr/local
+prefix ?= /usr/local
 
 OPTS=-O2
 
@@ -15,10 +15,15 @@
 # OS/2 EMX
 #LDFLAGS=-lsocket -Zexe -Dstrncasecmp=strnicmp
 
+ifdef HAVE_LIBIDN
+LIBIDN += -lidn
+CFLAGS += -DHAVE_LIBIDN
+endif
+
 all: whois #pos
 
 whois: whois.c whois.h config.h data.h as_del.h ip_del.h tld_serv.h
-	$(CC) $(CFLAGS) $(OPTS) whois.c -o whois $(LDFLAGS)
+	$(CC) $(CFLAGS) $(OPTS) whois.c -o whois $(LDFLAGS) $(LIBIDN)
 
 mkpasswd: mkpasswd.c
 	$(CC) $(CFLAGS) $(OPTS) mkpasswd.c -o mkpasswd -lcrypt

=== debian/changelog ===
whois (4.6.9) unstable; urgency=medium

  * Removed .ac.cn SLD. (Closes: #219883)
  * Added support for 6to4 IPv6 addresses. (Closes: #219028)
  * Updated 145/8 after ERX transfer. (Closes: #220400)
  * Added IDN support.

 -- Marco d'Itri <md@linux.it>  Mon,  1 Dec 2003 18:58:54 +0100

whois (4.6.8) unstable; urgency=medium

  * Update the version number. (Closes: #211550)
  * Updated .cr, .fi, .ly and .md TLDs.
  * Added new ASN block for APNIC.

 -- Marco d'Itri <md@linux.it>  Fri, 24 Oct 2003 22:37:22 +0200

whois (4.6.7) unstable; urgency=medium

  * Updated .hk, .sg TLDs.
  * Updated Go Daddy disclaimer strings.
  * Removed special processing for corenic queries, it's not needed anymore
    and breaks some queries. (Closes: #208854)
  * Always print the whois.crsnic.net output, or queries for host records
    will have no output. Also, the Status line is important information
    which should not be suppressed.
  * Add a note to the man page to explain that this code sucks, has buffer
    overflows and needs to be rewritten.

 -- Marco d'Itri <md@linux.it>  Wed, 10 Sep 2003 00:40:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.5.7
-Build-Depends: debhelper, gettext
+Standards-Version: 3.6.1
+Build-Depends: debhelper, gettext, libidn9-dev
 
 Package: whois
 Architecture: any

## whois 4.6.13

=== debian/changelog ===
whois (4.6.13) unstable; urgency=medium

  * Fix the DENIC code. (Closes: #242424)

 -- Marco d'Itri <md@linux.it>  Thu,  8 Apr 2004 13:16:58 +0200

whois (4.6.12) unstable; urgency=medium

  * Added a workaround for DENIC brokeness. (Closes: #242424)
  * Added the new IPv4 networks allocated to RIPE.

 -- Marco d'Itri <md@linux.it>  Tue,  6 Apr 2004 19:25:20 +0200

whois (4.6.11) unstable; urgency=medium

  * Fix parsing of IPv4 addresses on 64 bit architectures, spotted by
    Paul Slootman. (Closes: #229809)
  * Add support for ARIN whois referrals. (Closes: #229810, #231694)
  * Cleaned up some code and added support for ARIN referrals, based
    on a patch by Kees Cook.

 -- Marco d'Itri <md@linux.it>  Sat, 31 Jan 2004 17:41:39 +0100

whois (4.6.10) unstable; urgency=high

  * Compiled with libidn11. (Closes: #227350)
  * Fixed a disclaimer. (Closes: #226949)
  * Updated Greek .po file from Velonis Petros.

 -- Marco d'Itri <md@linux.it>  Tue, 13 Jan 2004 12:55:51 +0100

## whois 4.6.16

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,8 @@
 CFLAGS += -DHAVE_LIBIDN
 endif
 
+PERL=perl
+
 all: whois #pos
 
 whois: whois.c whois.h config.h data.h as_del.h ip_del.h tld_serv.h
@@ -29,13 +31,13 @@
 	$(CC) $(CFLAGS) $(OPTS) mkpasswd.c -o mkpasswd -lcrypt
 
 as_del.h: as_del_list make_as_del.pl
-	perl make_as_del.pl < as_del_list > as_del.h
+	$(PERL) -w make_as_del.pl < as_del_list > as_del.h
 
 ip_del.h: ip_del_list make_ip_del.pl
-	perl make_ip_del.pl < ip_del_list > ip_del.h
+	$(PERL) -w make_ip_del.pl < ip_del_list > ip_del.h
 
 tld_serv.h: tld_serv_list make_tld_serv.pl
-	perl make_tld_serv.pl < tld_serv_list > tld_serv.h
+	$(PERL) -w make_tld_serv.pl < tld_serv_list > tld_serv.h
 
 install: whois
 	install -m 0755 whois $(BASEDIR)$(prefix)/bin/

=== debian/changelog ===
whois (4.6.16) unstable; urgency=medium

  * Added new IPv6 and ASN allocations.

 -- Marco d'Itri <md@linux.it>  Sat, 12 Jun 2004 12:36:45 +0200

whois (4.6.15) unstable; urgency=medium

  * Added new IPv4 and IPv6 allocations.

 -- Marco d'Itri <md@linux.it>  Thu, 13 May 2004 21:40:57 +0200

whois (4.6.14) unstable; urgency=medium

  * Removed whois.oleane.net from the list of RIPE-like servers, because
    apparently it's not one anymore.

 -- Marco d'Itri <md@linux.it>  Fri, 16 Apr 2004 18:39:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
 Standards-Version: 3.6.1
-Build-Depends: debhelper, gettext, libidn9-dev
+Build-Depends: debhelper, gettext, libidn11-dev
 
 Package: whois
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 
 build:
 	$(checkdir)
-	make whois mkpasswd OPTS="-O2 -g -DCONFIG_FILE=\\\"/etc/whois.conf\\\""
+	make whois mkpasswd \
+		OPTS="-O2 -g -DCONFIG_FILE=\\\"/etc/whois.conf\\\"" \
+		HAVE_LIBIDN=1
 	touch build
 
 clean:

## whois 4.6.22

=== debian/changelog ===
whois (4.6.22) unstable; urgency=medium

  * Updated the onlinenic.com disclaimer strings. (Closes: #270721)
  * Updated the IPv6 allocations.

 -- Marco d'Itri <md@linux.it>  Sun, 29 Aug 2004 20:19:58 +0200

whois (4.6.21) unstable; urgency=medium

  * Fixed a segfault in mkpasswd -H, made the argument of -H mandatory.
  * Updated IPv6 allocations.

 -- Marco d'Itri <md@linux.it>  Wed, 25 Aug 2004 12:34:29 +0200

whois (4.6.20) testing-proposed-updates; urgency=medium

  * Updated IPv6 allocations, added support for the new allocations system.
  * Added edu.ru TLD server.
  * Updated es TLD server. (Closes: #264386)

 -- Marco d'Itri <md@linux.it>  Mon,  9 Aug 2004 18:48:32 +0200

whois (4.6.19) unstable; urgency=high

  * Updated IPv4 allocations.

 -- Marco d'Itri <md@linux.it>  Wed, 28 Jul 2004 00:50:00 +0200

whois (4.6.18) unstable; urgency=medium

  * Fix displaying of URLs of HTTP servers. (Closes: #258308)

 -- Marco d'Itri <md@linux.it>  Thu,  8 Jul 2004 22:24:18 +0200

whois (4.6.17) unstable; urgency=medium

  * Added new ASN allocation.
  * Updated the German translation. (Closes: #254486)
  * Removed whois.aunic.net from the list of RIPE-like servers, because
    apparently it's not one anymore. (Closes: #257609, #257610)
  * Updated .az, .au, .ba, .cy, .gl, .gr, .io, .ke, .ki, .la, .mn, .mo, .my,
    .nf, .pr, .td, .tm, .uz TLD servers.

 -- Marco d'Itri <md@linux.it>  Wed,  7 Jul 2004 13:51:29 +0200

## whois 4.6.26

=== debian/changelog ===
whois (4.6.26) unstable; urgency=medium

  * Fixed switch -d. (Closes: #287487)
  * Fixed RPSL hierarchical objects.
  * Updated the IPv6 allocations.

 -- Marco d'Itri <md@linux.it>  Tue, 28 Dec 2004 10:42:12 +0100

whois (4.6.25) unstable; urgency=medium

  * Added the .fi TLD server. (Closes: #283714)
  * Updated the IPv6 allocations.
  * Updated the Polish translation.

 -- Marco d'Itri <md@linux.it>  Sat,  4 Dec 2004 16:06:42 +0100

whois (4.6.24) unstable; urgency=medium

  * Updated the .tf server. (Closes: #279647)
  * Removed whois.nic.net.sg from the list of RIPE-like servers, because it's
    not one anymore. Congratulations to SGNIC for breaking backward
    compatibility. (Closes: #282931)
  * Updated the RFC number in the man page. (Closes: #279645)
  * Removed the ripe_servers_old list, because there is none left.

 -- Marco d'Itri <md@linux.it>  Sat, 27 Nov 2004 00:43:53 +0100

whois (4.6.23) unstable; urgency=medium

  * Fixed the moniker.com disclaimer strings.
  * Updated the IPv6 allocations.
  * Fixed some IPv4 allocations. (Closes: #272721, #274565)

 -- Marco d'Itri <md@linux.it>  Thu, 21 Oct 2004 14:21:42 +0200

=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.6.1.1
Build-Depends: debhelper (>= 4), gettext, libidn11-dev

Package: whois
Architecture: any
Depends: ${shlibs:Depends}
Replaces: bsdmainutils (<= 4.5.1), bsdutils (<< 3.0-0)
Description: The GNU whois client
 This is a new whois (RFC 3912) client rewritten from scratch.
 It is inspired from and compatible with the usual BSD and RIPE whois(1)
 programs.
 It is intelligent and can automatically select the appropriate whois
 server for most queries.
 .
 The package also contains mkpasswd, a simple front end to crypt(3).

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

#export DH_VERBOSE=1

D := $(shell pwd)/debian/whois

build:
	dh_testdir
	make whois mkpasswd \
		OPTS="-O2 -g -DCONFIG_FILE=\\\"/etc/whois.conf\\\"" \
		HAVE_LIBIDN=1
	touch $@

clean:
	dh_testdir
	-rm -f build
	-make distclean
	dh_clean

binary-arch: checkroot build
	dh_testdir
	dh_clean

	dh_installdirs usr/bin
	install whois mkpasswd $D/usr/bin/
	cd po && make install BASEDIR=$D
	dh_installman whois.1 mkpasswd.1
	dh_installdocs README
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_builddeb

binary: binary-arch

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## whois 4.7.2

=== debian/changelog ===
whois (4.7.2) unstable; urgency=high

  * whois.metu.edu.tr does not accept anymore RIPE-like queries.
  * Updated the .bg and .jp TLD servers. (Closes: #301187)
  * Updated the IPv4 allocations.

 -- Marco d'Itri <md@linux.it>  Thu, 24 Mar 2005 14:33:10 +0100

whois (4.7.1) unstable; urgency=medium

  * Added new ASN allocations.
  * Updated the IPv4 allocations. (Closes: #289459)
  * Updated the French translation, by Mohammed Adnène Trojette.
    (Closes: #298005)
  * Added another workaround for DENIC brokeness, flags will not be
    automatically added for *any* query which has flags. (Closes: #295353)

 -- Marco d'Itri <md@linux.it>  Fri,  4 Mar 2005 00:58:31 +0100

whois (4.7.0) unstable; urgency=medium

  * Updated the .af, .ar, .cf, .dm, .ec, .es, .ga, .gu, .ky, .lt, .sb, .wf
    and .yt TLD servers.
  * Updated the IPv6 allocations and added support for a generic list of
    IPv6 prefixes.
  * Updated the IPv4 allocations.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Jan 2005 13:51:30 +0100

## whois 4.7.5

=== Makefile ===
--- 
+++ 
@@ -20,11 +20,11 @@
 CFLAGS += -DHAVE_LIBIDN
 endif
 
-PERL=perl
+PERL := perl
 
 all: whois #pos
 
-whois: whois.c whois.h config.h data.h as_del.h ip_del.h tld_serv.h
+whois: whois.c whois.h config.h data.h as_del.h ip_del.h ip6_del.h tld_serv.h
 	$(CC) $(CFLAGS) $(OPTS) whois.c -o whois $(LDFLAGS) $(LIBIDN)
 
 mkpasswd: mkpasswd.c
@@ -35,6 +35,9 @@
 
 ip_del.h: ip_del_list make_ip_del.pl
 	$(PERL) -w make_ip_del.pl < ip_del_list > ip_del.h
+
+ip6_del.h: ip6_del_list make_ip6_del.pl
+	$(PERL) -w make_ip6_del.pl < ip6_del_list > ip6_del.h
 
 tld_serv.h: tld_serv_list make_tld_serv.pl
 	$(PERL) -w make_tld_serv.pl < tld_serv_list > tld_serv.h
@@ -50,7 +53,7 @@
 	rm -f po/whois.pot
 
 clean:
-	rm -f as_del.h ip_del.h tld_serv.h whois mkpasswd
+	rm -f as_del.h ip_del.h ip6_del.h tld_serv.h whois mkpasswd
 	rm -f po/*.mo
 
 test:

=== po/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 PACKAGE = whois
 
-CATALOGS = de.mo el.mo es.mo fr.mo it.mo no.mo pl.mo
+CATALOGS = de.mo el.mo es.mo fr.mo it.mo ja.mo no.mo pl.mo
 
 POTFILES=../whois.c ../mkpasswd.c

=== debian/changelog ===
whois (4.7.5) unstable; urgency=high

  * Updated the .in TLD server. (Closes: #308609)
  * Added the ASN allocations for Afrinic.

 -- Marco d'Itri <md@linux.it>  Wed, 18 May 2005 14:51:25 +0200

whois (4.7.4) unstable; urgency=high

  * Implemented the new b, B and G flags of the RIPE server.
  * Updated the version number. (Closes: #304395)
  * Updated the .dm, .nf, .tl, .tp TLD servers.
  * Added new IPv4 and ASN allocations for Afrinic. (Closes: #306525)
  * Added new IPv6 allocations.
  * Added the .ja translation, by Satoru SATOH. (Closes: #306300)

 -- Marco d'Itri <md@linux.it>  Fri, 29 Apr 2005 00:55:16 +0200

whois (4.7.3) unstable; urgency=medium

  * Updated the .sk TLD server.

 -- Marco d'Itri <md@linux.it>  Sat,  9 Apr 2005 10:40:08 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Replaces: bsdmainutils (<= 4.5.1), bsdutils (<< 3.0-0)
-Description: The GNU whois client
+Description: the GNU whois client
  This is a new whois (RFC 3912) client rewritten from scratch.
  It is inspired from and compatible with the usual BSD and RIPE whois(1)
  programs.

=== debian/rules ===
--- 
+++ 
@@ -41,4 +41,4 @@
 checkroot:
 	test root = "`whoami`"
 
-.PHONY: binary binary-arch binary-indep clean checkroot
+.PHONY: binary binary-arch binary-indep build clean checkroot

## whois 4.7.8

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,9 @@
 prefix ?= /usr/local
 
-OPTS=-O2
+OPTS := -O2
 
 # Solaris
-#LDFLAGS=-lnsl -lsocket
-
-# obsolete linux (libc 5)
-#LDFLAGS=-lintl
+#whois_LDADD += -lnsl -lsocket
 
 # FreeBSD
 #LDFLAGS=-L/usr/local/lib -lgnugetopt -lintl
@@ -16,8 +13,15 @@
 #LDFLAGS=-lsocket -Zexe -Dstrncasecmp=strnicmp
 
 ifdef HAVE_LIBIDN
-LIBIDN += -lidn
-CFLAGS += -DHAVE_LIBIDN
+whois_LDADD += -lidn
+whois_CFLAGS += -DHAVE_LIBIDN
+endif
+
+ifdef HAVE_XCRYPT
+mkpasswd_LDADD += -lxcrypt
+mkpasswd_CFLAGS += -DHAVE_XCRYPT
+else
+mkpasswd_LDADD += -lcrypt
 endif
 
 PERL := perl
@@ -25,10 +29,12 @@
 all: whois #pos
 
 whois: whois.c whois.h config.h data.h as_del.h ip_del.h ip6_del.h tld_serv.h
-	$(CC) $(CFLAGS) $(OPTS) whois.c -o whois $(LDFLAGS) $(LIBIDN)
+	$(CC) $(CFLAGS) $(whois_CFLAGS) $(OPTS) whois.c -o whois \
+		$(LDFLAGS) $(whois_LDADD)
 
 mkpasswd: mkpasswd.c
-	$(CC) $(CFLAGS) $(OPTS) mkpasswd.c -o mkpasswd -lcrypt
+	$(CC) $(CFLAGS) $(mkpasswd_CFLAGS) $(OPTS) mkpasswd.c -o mkpasswd \
+		$(LDFLAGS) $(mkpasswd_LDADD)
 
 as_del.h: as_del_list make_as_del.pl
 	$(PERL) -w make_as_del.pl < as_del_list > as_del.h

=== debian/changelog ===
whois (4.7.8) unstable; urgency=medium

  * Added the .jpn.com, .web.com, .bj, .ht and .ky TLD servers.
  * Updated the .kz, .mo, .sb, .sn, .uy and .uz TLD servers.
  * Added support for -afrinic, -idnic and -uynic NIC handles.
  * Checked the whole hide_strings[], updated when needed. (Closes: #317583)
  * Added to mkpasswd some preliminary and non-working support for libxcrypt.
    Patches are welcome.

 -- Marco d'Itri <md@linux.it>  Mon, 12 Sep 2005 13:47:46 +0200

whois (4.7.6) unstable; urgency=medium

  * Added new ASN and IP allocations.
  * Updated the .tv TLD server.
  * Added support for poem- and form- RIPE objects.

 -- Marco d'Itri <md@linux.it>  Fri,  1 Jul 2005 18:42:03 +0200

## whois 4.7.11ubuntu1

=== debian/changelog ===
whois (4.7.11ubuntu1) dapper; urgency=low

  * debian/rules: Create a POT file on package build, remove it in clean rule.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  4 May 2006 04:58:00 +0200

whois (4.7.11) unstable; urgency=medium

  * Added the .eu TLD server. (Closes: #342546)
  * Added swedish translation, by Daniel Nylander. (Closes: #344019)
  * Added new IPv6 allocations.

 -- Marco d'Itri <md@linux.it>  Wed,  7 Dec 2005 13:55:37 +0100

whois (4.7.10) unstable; urgency=medium

  * Added new ASN allocations. (Closes: #341560)
  * Added russian translation, by Andy Shevchenko.

 -- Marco d'Itri <md@linux.it>  Thu,  1 Dec 2005 13:35:09 +0100

whois (4.7.9) unstable; urgency=medium

  * Added new IPv6 allocations.

 -- Marco d'Itri <md@linux.it>  Sun, 27 Nov 2005 13:43:35 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,22 +5,30 @@
 
 D := $(shell pwd)/debian/whois
 
+VERSION := $(shell dpkg-parsechangelog | sed -n '/^Version/s/.* //p')
+
 build:
 	dh_testdir
 	make whois mkpasswd \
 		OPTS="-O2 -g -DCONFIG_FILE=\\\"/etc/whois.conf\\\"" \
 		HAVE_LIBIDN=1
+
+	cd po; make whois.pot
 	touch $@
 
 clean:
 	dh_testdir
 	-rm -f build
+	-rm -f po/whois.pot
 	-make distclean
 	dh_clean
 
 binary-arch: checkroot build
 	dh_testdir
 	dh_clean
+
+	# sanity check
+	egrep -q '^#define VERSION "$(VERSION)"$$' config.h
 
 	dh_installdirs usr/bin
 	install whois mkpasswd $D/usr/bin/

## whois 4.7.12

=== debian/changelog ===
whois (4.7.12) unstable; urgency=medium

  * Added new IPv4 allocations.
  * Added the .ve TLD server.
  * Updated the .es and .ug TLD servers. (Closes: #345428)
  * Updated some .za SLD servers.

 -- Marco d'Itri <md@linux.it>  Mon,  9 Jan 2006 14:56:06 +0100

## whois 4.7.12bpo1

=== Makefile ===
--- 
+++ 
@@ -50,10 +50,12 @@
 
 install: whois
 	install -m 0755 whois $(BASEDIR)$(prefix)/bin/
-	strip $(BASEDIR)$(prefix)/bin/whois
 	install -m 0644 whois.1 $(BASEDIR)$(prefix)/share/man/man1/
 	cd po && $(MAKE) $@
 
+install-mkpasswd: mkpasswd
+	install -m 0755 mkpasswd $(BASEDIR)$(prefix)/bin/
+	install -m 0644 mkpasswd.1 $(BASEDIR)$(prefix)/share/man/man1/
 
 distclean: clean
 	rm -f po/whois.pot

=== debian/changelog ===
whois (4.7.12bpo1) sarge-backports; urgency=medium

  * Rebuilt for sarge.

 -- Norbert Tretkowski <nobse@debian.org>  Sun,  9 Apr 2006 15:35:25 +0200

whois (4.7.13) unstable; urgency=medium

  * Added the .cat, .jobs, and .travel TLD servers.
  * Added the .co.pl pseudo-SLD server.
  * Added new IPv6 allocations.
  * Updated the hide_strings data for whois.crsnic.net.

 -- Marco d'Itri <md@linux.it>  Fri, 24 Mar 2006 21:53:05 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,11 @@
 	make whois mkpasswd \
 		OPTS="-O2 -g -DCONFIG_FILE=\\\"/etc/whois.conf\\\"" \
 		HAVE_LIBIDN=1
-
-	cd po; make whois.pot
 	touch $@
 
 clean:
 	dh_testdir
 	-rm -f build
-	-rm -f po/whois.pot
 	-make distclean
 	dh_clean

## whois 4.7.14

=== debian/changelog ===
whois (4.7.14) unstable; urgency=medium

  * Added the .coop, .mobi TLD and e164.arpa servers.
  * Added new ASN allocations. (Closes: #377953)
  * Added support for resolution of IDN server hostnames using AI_IDN.
  * Fixed the parsing of IPv6 server addresses on the command line.
  * Use the official "nicname" service name instead of "whois".
  * Added whois.pot to the source package.
  * Fixed a typo in the german translation. (Closes: #363550)
  * Do not FTBFS on binNMUs. (Closes: #360741)

 -- Marco d'Itri <md@linux.it>  Sat, 15 Jul 2006 19:22:42 +0200

## whois 4.7.15

=== po/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 PACKAGE = whois
 
-CATALOGS = de.mo el.mo es.mo fr.mo it.mo ja.mo no.mo pl.mo
+CATALOGS = de.mo el.mo es.mo fr.mo it.mo ja.mo no.mo pl.mo pt_BR.mo ru.mo
 
 POTFILES=../whois.c ../mkpasswd.c

=== debian/changelog ===
whois (4.7.15) unstable; urgency=high

  * Fixed the parsing of hostname+port, which was broken by 4.7.14.
  * Added the .gp, .ni and .tn TLD servers.
  * Updated the .bh, .bn, .ec, .gy, .im, .kw, .mu, .ph, .pr, .py, .ve and .vu
    TLD servers.

 -- Marco d'Itri <md@linux.it>  Wed, 19 Jul 2006 21:01:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,19 +5,20 @@
 
 D := $(shell pwd)/debian/whois
 
-VERSION := $(shell dpkg-parsechangelog | sed -n '/^Version/s/.* //p')
+VERSION := $(shell dpkg-parsechangelog | sed -n 's/\+.*$$//; /^Version/s/.* //p')
 
 build:
 	dh_testdir
-	make whois mkpasswd \
+	$(MAKE) whois mkpasswd \
 		OPTS="-O2 -g -DCONFIG_FILE=\\\"/etc/whois.conf\\\"" \
 		HAVE_LIBIDN=1
+	cd po && $(MAKE) whois.pot
 	touch $@
 
 clean:
 	dh_testdir
 	-rm -f build
-	-make distclean
+	-$(MAKE) distclean
 	dh_clean
 
 binary-arch: checkroot build
@@ -29,7 +30,7 @@
 
 	dh_installdirs usr/bin
 	install whois mkpasswd $D/usr/bin/
-	cd po && make install BASEDIR=$D
+	cd po && $(MAKE) install BASEDIR=$D
 	dh_installman whois.1 mkpasswd.1
 	dh_installdocs README
 	dh_installchangelogs 
@@ -43,6 +44,8 @@
 
 binary: binary-arch
 
+binary-indep:
+
 checkroot:
 	test root = "`whoami`"

## whois 4.7.19

=== debian/changelog ===
whois (4.7.19) unstable; urgency=medium

  * Added new IPv4 and IPv6 allocations.

 -- Marco d'Itri <md@linux.it>  Sun, 22 Oct 2006 09:32:45 +0200

whois (4.7.18) unstable; urgency=medium

  * whois.radb.net does not understand the RIPE protocol anymore.
  * Added support for IPv6 Teredo addresses, contributed by Rémi
    Denis-Courmont. (Closes: #384373)
  * Updated the .mobi and .gs TLD servers. (Closes: #389880, 391447)
  * Added the .gd TLD server.

 -- Marco d'Itri <md@linux.it>  Fri,  6 Oct 2006 18:47:53 +0200

whois (4.7.17) unstable; urgency=medium

  * 4.7.16 did not ask whois.denic.de for the complete data. Fixed.

 -- Marco d'Itri <md@linux.it>  Tue, 19 Sep 2006 11:24:46 +0200

whois (4.7.16) unstable; urgency=medium

  * Added new IPv4 and IPv6 allocations.
  * Strip the CIDR prefix length from queries to whois.arin.net.
  * whois.denic.de does not understand the RIPE protocol anymore.

 -- Marco d'Itri <md@linux.it>  Fri, 15 Sep 2006 00:07:49 +0200

## whois 4.7.20

=== debian/changelog ===
whois (4.7.20) unstable; urgency=medium

  * Added more krnic allocations.
  * Added support for -sixxs NIC handles.
  * Added again 26[12]0:0000::/23 which had been mistakenly removed.

 -- Marco d'Itri <md@linux.it>  Fri, 24 Nov 2006 09:34:01 +0100

## whois 4.7.20build2

=== debian/changelog ===
whois (4.7.20build2) feisty; urgency=low

  * Rebuild, making sure to update config.h.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 14 Mar 2007 10:11:12 +0100

whois (4.7.20build1) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:27:47 +0000

## whois 4.7.21

=== debian/changelog ===
whois (4.7.21) unstable; urgency=medium

  * Improved myinet_aton to not parse addresses with trailing junk
  * Added APNIC and RIPE allocations.
  * Updated the name of the Verio whois server. (Closes: #410449)
  * Removed references to whois.nic.mil, which apparently is gone.
  * Removed whois.nic.it from ripe_servers, because it does not even
    pretend to be one anymore.

 -- Marco d'Itri <md@linux.it>  Mon, 02 Apr 2007 04:23:45 +0200

## whois 4.7.22

=== debian/changelog ===
whois (4.7.22) unstable; urgency=medium

  * Added new IPv4 allocations.
  * Added new ASN allocations.
  * Updated the Polish translation.
  * Updated the .jobs, .ai and .tn TLD and za.net servers.
  * Added the za.net server. (Closes: #423549)
  * Stop misparsing <as-set>:<hierarchical-name> as an IPv6 address.
  * Stop mangling IDN queries with in-query flags. (Closes: #422895)

 -- Marco d'Itri <md@linux.it>  Sat, 28 Jul 2007 23:53:00 +0200

## whois 4.7.23

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,8 @@
 
 all: whois #pos
 
-whois: whois.c whois.h config.h data.h as_del.h ip_del.h ip6_del.h tld_serv.h
+whois: whois.c whois.h config.h data.h \
+		as_del.h as32_del.h ip_del.h ip6_del.h tld_serv.h
 	$(CC) $(CFLAGS) $(whois_CFLAGS) $(OPTS) whois.c -o whois \
 		$(LDFLAGS) $(whois_LDADD)
 
@@ -37,16 +38,19 @@
 		$(LDFLAGS) $(mkpasswd_LDADD)
 
 as_del.h: as_del_list make_as_del.pl
-	$(PERL) -w make_as_del.pl < as_del_list > as_del.h
+	$(PERL) -w make_as_del.pl < as_del_list > $@
+
+as32_del.h: as32_del_list make_as32_del.pl
+	$(PERL) -w make_as32_del.pl < as32_del_list > $@
 
 ip_del.h: ip_del_list make_ip_del.pl
-	$(PERL) -w make_ip_del.pl < ip_del_list > ip_del.h
+	$(PERL) -w make_ip_del.pl < ip_del_list > $@
 
 ip6_del.h: ip6_del_list make_ip6_del.pl
-	$(PERL) -w make_ip6_del.pl < ip6_del_list > ip6_del.h
+	$(PERL) -w make_ip6_del.pl < ip6_del_list > $@
 
 tld_serv.h: tld_serv_list make_tld_serv.pl
-	$(PERL) -w make_tld_serv.pl < tld_serv_list > tld_serv.h
+	$(PERL) -w make_tld_serv.pl < tld_serv_list > $@
 
 install: whois
 	install -m 0755 whois $(BASEDIR)$(prefix)/bin/

=== debian/changelog ===
whois (4.7.23) unstable; urgency=medium

  * Fixed myinet_aton to not reject CIDR networks.
  * Added support for ASN32.
  * Added the za.net and za.org pseudo-TLD servers.

 -- Marco d'Itri <md@linux.it>  Thu, 13 Sep 2007 03:28:21 +0200
